use crate::stateframe::{PhysSimShipHandle, SystemStateframe};

use super::{ShipAgent, ShipControls};

/// The null agent does nothing
#[derive(Debug, Clone)]
pub struct NullShipAgent {}

impl NullShipAgent {
	pub fn new() -> Self {
		Self {}
	}
}

impl ShipAgent for NullShipAgent {
	fn update_controls(
		&mut self,
		_dt: f32,
		_sf: &SystemStateframe,
		_this_ship: PhysSimShipHandle,
	) -> Option<ShipControls> {
		None
	}
}
