#![warn(missing_docs)]
//! Shared utilities

use nalgebra::Vector2;

/// Convert an angle in degrees to radians
pub const fn to_radians(degrees: f32) -> f32 {
	return (degrees / 360.0) * std::f32::consts::TAU;
}

/// Convert an angle in radians to degrees
pub const fn to_degrees(radians: f32) -> f32 {
	return (radians / std::f32::consts::TAU) * 360.0;
}

/// Compute the clockwise angle between two vectors
/// Returns a value in [-pi, pi]
pub fn clockwise_angle(a: &Vector2<f32>, b: &Vector2<f32>) -> f32 {
	(a.x * b.y - b.x * a.y).atan2(a.dot(&b))
}
